/*
 * MATLAB Compiler: 3.0
 * Date: Wed Aug 25 13:39:08 2004
 * Arguments: "-B" "macro_default" "-O" "all" "-O" "fold_scalar_mxarrays:on"
 * "-O" "fold_non_scalar_mxarrays:on" "-O" "optimize_integer_for_loops:on" "-O"
 * "array_indexing:on" "-O" "optimize_conditionals:on" "-W" "main" "-L" "C"
 * "-t" "-T" "link:lib" "-h" "test_track" "libmmfile.mlib" "-v" 
 */

#ifndef MLF_V2
#define MLF_V2 1
#endif

#include "libmatlb.h"
#include "test_track.h"
#include "extract_global_features_track.h"
#include "remove_close_matches.h"
#include "treeval.h"
#include "compute_local_features_window.h"
#include "compute_windowed_fft.h"
#include "block2fft.h"
#include "makeblocks.h"
#include "libmmfile.h"

extern _mex_information _main_info;

static mexFunctionTableEntry function_table[8]
  = { { "test_track", mlxTest_track, 2, 2, &_local_function_table_test_track },
      { "extract_global_features_track", mlxExtract_global_features_track,
        3, 3, &_local_function_table_extract_global_features_track },
      { "remove_close_matches", mlxRemove_close_matches, 3,
        3, &_local_function_table_remove_close_matches },
      { "treeval", mlxTreeval, 3, 3, &_local_function_table_treeval },
      { "compute_local_features_window", mlxCompute_local_features_window,
        2, 1, &_local_function_table_compute_local_features_window },
      { "compute_windowed_fft", mlxCompute_windowed_fft, 5,
        1, &_local_function_table_compute_windowed_fft },
      { "block2fft", mlxBlock2fft, 4, 1, &_local_function_table_block2fft },
      { "makeblocks", mlxMakeblocks, 3, 1,
        &_local_function_table_makeblocks } };

static _mexInitTermTableEntry init_term_table[9]
  = { { libmmfileInitialize, libmmfileTerminate },
      { InitializeModule_test_track, TerminateModule_test_track },
      { InitializeModule_extract_global_features_track,
        TerminateModule_extract_global_features_track },
      { InitializeModule_remove_close_matches,
        TerminateModule_remove_close_matches },
      { InitializeModule_treeval, TerminateModule_treeval },
      { InitializeModule_compute_local_features_window,
        TerminateModule_compute_local_features_window },
      { InitializeModule_compute_windowed_fft,
        TerminateModule_compute_windowed_fft },
      { InitializeModule_block2fft, TerminateModule_block2fft },
      { InitializeModule_makeblocks, TerminateModule_makeblocks } };

_mex_information _main_info
  = { 1, 8, function_table, 0, NULL, 0, NULL, 9, init_term_table };

/*
 * The function "main" is a Compiler-generated main wrapper, suitable for
 * building a stand-alone application.  It calls a library function to perform
 * initialization, call the main function, and perform library termination.
 */
int main(int argc, const char * * argv) {
    return mclMain(argc, argv, mlxTest_track, 1, &_main_info);
}
