function [min_error, threshold] = compute_min_error_rate(confidences, labels)        
    
    x = sortrows([confidences labels]);
        
    num_pos = sum(labels==1);
    num_neg = sum(labels==-1);
    
    min_error = 1.0;
    pos_count = 0;
    neg_count = 0;
    for i = 1:length(confidences)
        if (i==length(confidences)) | (x(i, 1) ~= x(i+1, 1))
            if x(i, 2) == 1
                pos_count = pos_count + 1;
            else
                neg_count = neg_count + 1;
            end
            error = 1/2*(pos_count/num_pos + (num_neg-neg_count)/num_neg);
            if error < min_error & i < length(confidences)
                threshold = (x(i+1, 1) + x(i, 1))/2;
                min_error = error;
            end            
        end
    end
    
