function all_features_used = set_used_features(object_name, num_stages)
    
    
    

    for s = 1:num_stages
        load(['./data/online_training/' object_name '/global_classifier' num2str(s) '.mat']);
        features_used = zeros(global_classifier.wcs(1).tree.npred, 1);
        if s == 1
            all_features_used = features_used;
        end
        for c = 1:length(global_classifier.wcs)
            for v = 1:length(global_classifier.wcs(c).tree.var)
                if global_classifier.wcs(c).tree.var(v) ~= 0
                    features_used(abs(global_classifier.wcs(c).tree.var(v))) = 1;
                    all_features_used(abs(global_classifier.wcs(c).tree.var(v))) = 1;
                end
            end
        end
        global_classifier.features_used = features_used;
        save(['./data/online_training/' object_name '/global_classifier' num2str(s) '.mat'], ...
             'global_classifier','-V6');
        disp(['features used: ' num2str(s) '   ' num2str(sum(features_used))]);
    end
    
    disp(['all features used: ' num2str(sum(all_features_used))]);