#include "filter_api.h"

/*
#ifdef __cplusplus
extern "C" {
#endif
*/

#define SD_WFFT_IMAGE "sd_wfft_image"
#define SD_CURRENT_STAGE "sd_current_stage"
#define SD_IS_COMPUTED "sd_feature_is_computed"
#define SD_FEATURES "sd_features" 
#define SD_NUM_PASSED "sd_num_passed"
#define SD_TIMES "sd_times"
#define SD_CONFIDENCES "sd_confidences"


int f_eval_sd_test_track(lf_obj_handle_t ohandle, int numout, 
			 lf_obj_handle_t *ohandles, void *f_datap);
int f_init_sd_test_track(int numarg, char** args, int blob_len,
			 void* blob, void** f_datap);
int f_fini_sd_test_track(void* f_datap);

/*

Below is the better way to do it but is a bit more complicated.  
The wfft would be computed once.  Then compute_features and test_track
would be called alternatingly for the number of stages.  

compute_wfft would save the wfft of the track as an attribute and set the
current_stage attribute to 1

compute_features would record as attributes which features have been computed 
and the values of the features themselves.  

test_track would test the object based on the features attribute and 
increment the current_stage. 

int f_eval_sd_compute_wfft(lf_obj_handle_t ohandle, int numout, 
			       lf_obj_handle_t *ohandles, void *f_datap);
int f_init_sd_compute_wfft(int numarg, char** args, int blob_len,
			       void* blob, void** f_datap);
int f_fini_sd_compute_wfft(void* f_datap);


int f_eval_sd_compute_features(lf_obj_handle_t ohandle, int numout, 
			       lf_obj_handle_t *ohandles, void *f_datap);
int f_init_sd_compute_features(int numarg, char** args, int blob_len,
			       void* blob, void** f_datap);
int f_fini_sd_compute_features(void* f_datap);


int f_eval_sd_classify(lf_obj_handle_t ohandle, int numout, 
		       lf_obj_handle_t *ohandles, void *f_datap);
int f_init_sd_classify(int numarg, char** args, int blob_len, 
		       void* blob, void** f_datap);
int f_fini_sd_classify(void* f_datap); 
*/

/*
#ifdef __cplusplus
}
#endif
*/
