/*
 * MATLAB Compiler: 3.0
 * Date: Wed Aug 25 13:39:07 2004
 * Arguments: "-B" "macro_default" "-O" "all" "-O" "fold_scalar_mxarrays:on"
 * "-O" "fold_non_scalar_mxarrays:on" "-O" "optimize_integer_for_loops:on" "-O"
 * "array_indexing:on" "-O" "optimize_conditionals:on" "-W" "main" "-L" "C"
 * "-t" "-T" "link:lib" "-h" "test_track" "libmmfile.mlib" "-v" 
 */
#include "remove_close_matches.h"
#include "libmatlbm.h"
#include "libmmfile.h"
static mxArray * _mxarray0_;
static mxArray * _mxarray1_;

static mxChar _array3_[46] = { 'E', 'r', 'r', 'o', 'r', ':', ' ', 'g', 'i', 'v',
                               'e', ' ', 't', 'i', 'm', 'e', 's', ' ', 'a', 'n',
                               'd', ' ', 's', 'c', 'o', 'r', 'e', 's', ' ', 'i',
                               'n', ' ', 'c', 'o', 'l', 'l', 'u', 'm', 'n', ' ',
                               'f', 'o', 'r', 'm', 'a', 't' };
static mxArray * _mxarray2_;
static mxArray * _mxarray4_;
static mxArray * _mxarray5_;

void InitializeModule_remove_close_matches(void) {
    _mxarray0_ = mclInitializeDouble(2.0);
    _mxarray1_ = mclInitializeDouble(1.0);
    _mxarray2_ = mclInitializeString(46, _array3_);
    _mxarray4_ = mclInitializeDoubleVector(0, 0, (double *)NULL);
    _mxarray5_ = mclInitializeDouble(0.0);
}

void TerminateModule_remove_close_matches(void) {
    mxDestroyArray(_mxarray5_);
    mxDestroyArray(_mxarray4_);
    mxDestroyArray(_mxarray2_);
    mxDestroyArray(_mxarray1_);
    mxDestroyArray(_mxarray0_);
}

static mxArray * Mremove_close_matches(mxArray * * scores2,
                                       mxArray * * indices2,
                                       int nargout_,
                                       mxArray * times,
                                       mxArray * scores,
                                       mxArray * min_dist);

_mexLocalFunctionTable _local_function_table_remove_close_matches
  = { 0, (mexFunctionTableEntry *)NULL };

/*
 * The function "mlfRemove_close_matches" contains the normal interface for the
 * "remove_close_matches" M-function from file
 * "/afs/cs.cmu.edu/user/dhoiem/code_for_c/remove_close_matches.m" (lines
 * 1-81). This function processes any input arguments and passes them to the
 * implementation version of the function, appearing above.
 */
mxArray * mlfRemove_close_matches(mxArray * * scores2,
                                  mxArray * * indices2,
                                  mxArray * times,
                                  mxArray * scores,
                                  mxArray * min_dist) {
    int nargout = 1;
    mxArray * times2 = NULL;
    mxArray * scores2__ = NULL;
    mxArray * indices2__ = NULL;
    mlfEnterNewContext(2, 3, scores2, indices2, times, scores, min_dist);
    if (scores2 != NULL) {
        ++nargout;
    }
    if (indices2 != NULL) {
        ++nargout;
    }
    times2
      = Mremove_close_matches(
          &scores2__, &indices2__, nargout, times, scores, min_dist);
    mlfRestorePreviousContext(2, 3, scores2, indices2, times, scores, min_dist);
    if (scores2 != NULL) {
        mclCopyOutputArg(scores2, scores2__);
    } else {
        mxDestroyArray(scores2__);
    }
    if (indices2 != NULL) {
        mclCopyOutputArg(indices2, indices2__);
    } else {
        mxDestroyArray(indices2__);
    }
    return mlfReturnValue(times2);
}

/*
 * The function "mlxRemove_close_matches" contains the feval interface for the
 * "remove_close_matches" M-function from file
 * "/afs/cs.cmu.edu/user/dhoiem/code_for_c/remove_close_matches.m" (lines
 * 1-81). The feval function calls the implementation version of
 * remove_close_matches through this function. This function processes any
 * input arguments and passes them to the implementation version of the
 * function, appearing above.
 */
void mlxRemove_close_matches(int nlhs,
                             mxArray * plhs[],
                             int nrhs,
                             mxArray * prhs[]) {
    mxArray * mprhs[3];
    mxArray * mplhs[3];
    int i;
    if (nlhs > 3) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: remove_close_matches Line: 2 Col"
            "umn: 1 The function \"remove_close_matches\" was calle"
            "d with more than the declared number of outputs (3)."),
          NULL);
    }
    if (nrhs > 3) {
        mlfError(
          mxCreateString(
            "Run-time Error: File: remove_close_matches Line: 2 Col"
            "umn: 1 The function \"remove_close_matches\" was calle"
            "d with more than the declared number of inputs (3)."),
          NULL);
    }
    for (i = 0; i < 3; ++i) {
        mplhs[i] = NULL;
    }
    for (i = 0; i < 3 && i < nrhs; ++i) {
        mprhs[i] = prhs[i];
    }
    for (; i < 3; ++i) {
        mprhs[i] = NULL;
    }
    mlfEnterNewContext(0, 3, mprhs[0], mprhs[1], mprhs[2]);
    mplhs[0]
      = Mremove_close_matches(
          &mplhs[1], &mplhs[2], nlhs, mprhs[0], mprhs[1], mprhs[2]);
    mlfRestorePreviousContext(0, 3, mprhs[0], mprhs[1], mprhs[2]);
    plhs[0] = mplhs[0];
    for (i = 1; i < 3 && i < nlhs; ++i) {
        plhs[i] = mplhs[i];
    }
    for (; i < 3; ++i) {
        mxDestroyArray(mplhs[i]);
    }
}

/*
 * The function "Mremove_close_matches" is the implementation version of the
 * "remove_close_matches" M-function from file
 * "/afs/cs.cmu.edu/user/dhoiem/code_for_c/remove_close_matches.m" (lines
 * 1-81). It contains the actual compiled code for that M-function. It is a
 * static function and must only be called from one of the interface functions,
 * appearing below.
 */
/*
 * % min_dist is the minimum time distance required to keep two points
 * function [times2, scores2, indices2] = remove_close_matches(times, scores, min_dist)
 */
static mxArray * Mremove_close_matches(mxArray * * scores2,
                                       mxArray * * indices2,
                                       int nargout_,
                                       mxArray * times,
                                       mxArray * scores,
                                       mxArray * min_dist) {
    mexLocalFunctionTable save_local_function_table_
      = mclSetCurrentLocalFunctionTable(
          &_local_function_table_remove_close_matches);
    mxArray * times2 = NULL;
    mxArray * k = NULL;
    mxArray * count = NULL;
    mxArray * new_num = NULL;
    mxArray * right_score = NULL;
    mxArray * right_t = NULL;
    mxArray * left_score = NULL;
    mxArray * left_t = NULL;
    mxArray * right_dist = NULL;
    mxArray * left_dist = NULL;
    mxArray * t = NULL;
    mxArray * curr_score = NULL;
    mxArray * index = NULL;
    mxArray * s = NULL;
    mxArray * keep = NULL;
    mxArray * S = NULL;
    mxArray * T = NULL;
    mxArray * indices = NULL;
    mxArray * num_times = NULL;
    mxArray * ans = NULL;
    mclCopyArray(&times);
    mclCopyArray(&scores);
    mclCopyArray(&min_dist);
    /*
     * 
     * if size(times, 2) > 1 | size(scores, 2) > 1
     */
    {
        mxArray * a_
          = mclInitialize(
              mclGt(
                mlfSize(
                  mclValueVarargout(), mclVa(times, "times"), _mxarray0_),
                _mxarray1_));
        if (mlfTobool(a_)
            || mlfTobool(
                 mclOr(
                   a_,
                   mclGt(
                     mlfSize(
                       mclValueVarargout(),
                       mclVa(scores, "scores"),
                       _mxarray0_),
                     _mxarray1_)))) {
            mxDestroyArray(a_);
            /*
             * disp('Error: give times and scores in collumn format');
             */
            mlfDisp(_mxarray2_);
        } else {
            mxDestroyArray(a_);
        }
    /*
     * end
     */
    }
    /*
     * 
     * num_times = length(times);
     */
    mlfAssign(&num_times, mlfScalar(mclLengthInt(mclVa(times, "times"))));
    /*
     * 
     * indices = zeros(num_times,1);
     */
    mlfAssign(
      &indices, mlfZeros(mclVv(num_times, "num_times"), _mxarray1_, NULL));
    /*
     * indices(1:num_times) = (1:num_times);
     */
    mclArrayAssign1(
      &indices,
      mlfColon(_mxarray1_, mclVv(num_times, "num_times"), NULL),
      mlfColon(_mxarray1_, mclVv(num_times, "num_times"), NULL));
    /*
     * 
     * % sort rows in ascending order
     * T = sortrows([times indices]);
     */
    mlfAssign(
      &T,
      mlfSortrows(
        NULL,
        mlfHorzcat(mclVa(times, "times"), mclVv(indices, "indices"), NULL),
        NULL));
    /*
     * S = sortrows([scores indices]);
     */
    mlfAssign(
      &S,
      mlfSortrows(
        NULL,
        mlfHorzcat(mclVa(scores, "scores"), mclVv(indices, "indices"), NULL),
        NULL));
    /*
     * keep = ones(num_times, 1);
     */
    mlfAssign(&keep, mlfOnes(mclVv(num_times, "num_times"), _mxarray1_, NULL));
    /*
     * for s = 1:num_times
     */
    {
        int v_ = mclForIntStart(1);
        int e_ = mclForIntEnd(mclVv(num_times, "num_times"));
        if (v_ > e_) {
            mlfAssign(&s, _mxarray4_);
        } else {
            /*
             * index = S(s, 2);
             * curr_score = S(s, 1);
             * for t = 1:num_times
             * if T(t, 2) == index                                
             * 
             * left_dist = min_dist - 1;
             * right_dist = min_dist - 1; 
             * 
             * left_t = t-1;                
             * if (left_t > 0)
             * left_dist = T(t, 1) - T(left_t, 1);
             * end
             * while (left_t > 1  & keep(left_t) == 0 & left_dist < min_dist)
             * left_t = left_t - 1;
             * left_dist = T(t, 1) - T(left_t, 1);
             * end
             * 
             * if left_t > 0 & left_dist < min_dist                                        
             * left_score = scores(T(left_t, 2));
             * if left_score >= curr_score
             * keep(index) = 0;
             * break;
             * end                    
             * end
             * 
             * right_t = t+1;
             * if (right_t <= num_times)
             * right_dist = T(right_t, 1) - T(t, 1);
             * end
             * while (right_t < num_times & keep(right_t) == 0 & right_dist < min_dist)
             * right_t = right_t + 1;
             * right_dist = T(right_t, 1) - T(t, 1);
             * end
             * 
             * if right_t <= num_times & right_dist < min_dist
             * right_score = scores(T(right_t, 2));
             * if right_score >= curr_score
             * keep(index) = 0;
             * break;
             * end
             * end                
             * 
             * break;
             * end
             * end
             * end
             */
            for (; ; ) {
                mlfAssign(&index, mclIntArrayRef2(mclVv(S, "S"), v_, 2));
                mlfAssign(&curr_score, mclIntArrayRef2(mclVv(S, "S"), v_, 1));
                {
                    int v_0 = mclForIntStart(1);
                    int e_0 = mclForIntEnd(mclVv(num_times, "num_times"));
                    if (v_0 > e_0) {
                        mlfAssign(&t, _mxarray4_);
                    } else {
                        for (; ; ) {
                            if (mclEqBool(
                                  mclIntArrayRef2(mclVv(T, "T"), v_0, 2),
                                  mclVv(index, "index"))) {
                                mlfAssign(
                                  &left_dist,
                                  mclMinus(
                                    mclVa(min_dist, "min_dist"), _mxarray1_));
                                mlfAssign(
                                  &right_dist,
                                  mclMinus(
                                    mclVa(min_dist, "min_dist"), _mxarray1_));
                                mlfAssign(&left_t, mlfScalar(v_0 - 1));
                                if (mclGtBool(
                                      mclVv(left_t, "left_t"), _mxarray5_)) {
                                    mlfAssign(
                                      &left_dist,
                                      mclMinus(
                                        mclIntArrayRef2(mclVv(T, "T"), v_0, 1),
                                        mclArrayRef2(
                                          mclVv(T, "T"),
                                          mclVv(left_t, "left_t"),
                                          _mxarray1_)));
                                }
                                for (;;) {
                                    mxArray * a_
                                      = mclInitialize(
                                          mclGt(
                                            mclVv(left_t, "left_t"),
                                            _mxarray1_));
                                    if (mlfTobool(a_)) {
                                        mlfAssign(
                                          &a_,
                                          mclAnd(
                                            a_,
                                            mclEq(
                                              mclArrayRef1(
                                                mclVv(keep, "keep"),
                                                mclVv(left_t, "left_t")),
                                              _mxarray5_)));
                                    } else {
                                        mlfAssign(&a_, mlfScalar(0));
                                    }
                                    if (mlfTobool(a_)
                                        && mlfTobool(
                                             mclAnd(
                                               a_,
                                               mclLt(
                                                 mclVv(left_dist, "left_dist"),
                                                 mclVa(
                                                   min_dist, "min_dist"))))) {
                                        mxDestroyArray(a_);
                                    } else {
                                        mxDestroyArray(a_);
                                        break;
                                    }
                                    mlfAssign(
                                      &left_t,
                                      mclMinus(
                                        mclVv(left_t, "left_t"), _mxarray1_));
                                    mlfAssign(
                                      &left_dist,
                                      mclMinus(
                                        mclIntArrayRef2(mclVv(T, "T"), v_0, 1),
                                        mclArrayRef2(
                                          mclVv(T, "T"),
                                          mclVv(left_t, "left_t"),
                                          _mxarray1_)));
                                }
                                {
                                    mxArray * a_
                                      = mclInitialize(
                                          mclGt(
                                            mclVv(left_t, "left_t"),
                                            _mxarray5_));
                                    if (mlfTobool(a_)
                                        && mlfTobool(
                                             mclAnd(
                                               a_,
                                               mclLt(
                                                 mclVv(left_dist, "left_dist"),
                                                 mclVa(
                                                   min_dist, "min_dist"))))) {
                                        mxDestroyArray(a_);
                                        mlfAssign(
                                          &left_score,
                                          mclArrayRef1(
                                            mclVa(scores, "scores"),
                                            mclArrayRef2(
                                              mclVv(T, "T"),
                                              mclVv(left_t, "left_t"),
                                              _mxarray0_)));
                                        if (mclGeBool(
                                              mclVv(left_score, "left_score"),
                                              mclVv(
                                                curr_score, "curr_score"))) {
                                            mclArrayAssign1(
                                              &keep,
                                              _mxarray5_,
                                              mclVv(index, "index"));
                                            break;
                                        }
                                    } else {
                                        mxDestroyArray(a_);
                                    }
                                }
                                mlfAssign(&right_t, mlfScalar(v_0 + 1));
                                if (mclLeBool(
                                      mclVv(right_t, "right_t"),
                                      mclVv(num_times, "num_times"))) {
                                    mlfAssign(
                                      &right_dist,
                                      mclMinus(
                                        mclArrayRef2(
                                          mclVv(T, "T"),
                                          mclVv(right_t, "right_t"),
                                          _mxarray1_),
                                        mclIntArrayRef2(
                                          mclVv(T, "T"), v_0, 1)));
                                }
                                for (;;) {
                                    mxArray * a_
                                      = mclInitialize(
                                          mclLt(
                                            mclVv(right_t, "right_t"),
                                            mclVv(num_times, "num_times")));
                                    if (mlfTobool(a_)) {
                                        mlfAssign(
                                          &a_,
                                          mclAnd(
                                            a_,
                                            mclEq(
                                              mclArrayRef1(
                                                mclVv(keep, "keep"),
                                                mclVv(right_t, "right_t")),
                                              _mxarray5_)));
                                    } else {
                                        mlfAssign(&a_, mlfScalar(0));
                                    }
                                    if (mlfTobool(a_)
                                        && mlfTobool(
                                             mclAnd(
                                               a_,
                                               mclLt(
                                                 mclVv(
                                                   right_dist, "right_dist"),
                                                 mclVa(
                                                   min_dist, "min_dist"))))) {
                                        mxDestroyArray(a_);
                                    } else {
                                        mxDestroyArray(a_);
                                        break;
                                    }
                                    mlfAssign(
                                      &right_t,
                                      mclPlus(
                                        mclVv(right_t, "right_t"), _mxarray1_));
                                    mlfAssign(
                                      &right_dist,
                                      mclMinus(
                                        mclArrayRef2(
                                          mclVv(T, "T"),
                                          mclVv(right_t, "right_t"),
                                          _mxarray1_),
                                        mclIntArrayRef2(
                                          mclVv(T, "T"), v_0, 1)));
                                }
                                {
                                    mxArray * a_
                                      = mclInitialize(
                                          mclLe(
                                            mclVv(right_t, "right_t"),
                                            mclVv(num_times, "num_times")));
                                    if (mlfTobool(a_)
                                        && mlfTobool(
                                             mclAnd(
                                               a_,
                                               mclLt(
                                                 mclVv(
                                                   right_dist, "right_dist"),
                                                 mclVa(
                                                   min_dist, "min_dist"))))) {
                                        mxDestroyArray(a_);
                                        mlfAssign(
                                          &right_score,
                                          mclArrayRef1(
                                            mclVa(scores, "scores"),
                                            mclArrayRef2(
                                              mclVv(T, "T"),
                                              mclVv(right_t, "right_t"),
                                              _mxarray0_)));
                                        if (mclGeBool(
                                              mclVv(right_score, "right_score"),
                                              mclVv(
                                                curr_score, "curr_score"))) {
                                            mclArrayAssign1(
                                              &keep,
                                              _mxarray5_,
                                              mclVv(index, "index"));
                                            break;
                                        }
                                    } else {
                                        mxDestroyArray(a_);
                                    }
                                }
                                break;
                            }
                            if (v_0 == e_0) {
                                break;
                            }
                            ++v_0;
                        }
                        mlfAssign(&t, mlfScalar(v_0));
                    }
                }
                if (v_ == e_) {
                    break;
                }
                ++v_;
            }
            mlfAssign(&s, mlfScalar(v_));
        }
    }
    /*
     * 
     * new_num = sum(keep);
     */
    mlfAssign(&new_num, mlfSum(mclVv(keep, "keep"), NULL));
    /*
     * times2 = zeros(new_num, 1);
     */
    mlfAssign(&times2, mlfZeros(mclVv(new_num, "new_num"), _mxarray1_, NULL));
    /*
     * scores2 = zeros(new_num, 1);
     */
    mlfAssign(scores2, mlfZeros(mclVv(new_num, "new_num"), _mxarray1_, NULL));
    /*
     * indices2 = zeros(new_num, 1);
     */
    mlfAssign(indices2, mlfZeros(mclVv(new_num, "new_num"), _mxarray1_, NULL));
    /*
     * 
     * count = 0;
     */
    mlfAssign(&count, _mxarray5_);
    /*
     * for k = 1:length(keep)
     */
    {
        int v_ = mclForIntStart(1);
        int e_ = mclLengthInt(mclVv(keep, "keep"));
        if (v_ > e_) {
            mlfAssign(&k, _mxarray4_);
        } else {
            /*
             * if keep(k) == 1
             * count = count + 1;
             * times2(count) =  times(k);
             * scores2(count) = scores(k);
             * indices2(count) = indices(k);
             * end
             * end
             */
            for (; ; ) {
                if (mclEqBool(
                      mclIntArrayRef1(mclVv(keep, "keep"), v_), _mxarray1_)) {
                    mlfAssign(
                      &count, mclPlus(mclVv(count, "count"), _mxarray1_));
                    mclArrayAssign1(
                      &times2,
                      mclIntArrayRef1(mclVa(times, "times"), v_),
                      mclVv(count, "count"));
                    mclArrayAssign1(
                      scores2,
                      mclIntArrayRef1(mclVa(scores, "scores"), v_),
                      mclVv(count, "count"));
                    mclArrayAssign1(
                      indices2,
                      mclIntArrayRef1(mclVv(indices, "indices"), v_),
                      mclVv(count, "count"));
                }
                if (v_ == e_) {
                    break;
                }
                ++v_;
            }
            mlfAssign(&k, mlfScalar(v_));
        }
    }
    mclValidateOutput(times2, 1, nargout_, "times2", "remove_close_matches");
    mclValidateOutput(*scores2, 2, nargout_, "scores2", "remove_close_matches");
    mclValidateOutput(
      *indices2, 3, nargout_, "indices2", "remove_close_matches");
    mxDestroyArray(ans);
    mxDestroyArray(num_times);
    mxDestroyArray(indices);
    mxDestroyArray(T);
    mxDestroyArray(S);
    mxDestroyArray(keep);
    mxDestroyArray(s);
    mxDestroyArray(index);
    mxDestroyArray(curr_score);
    mxDestroyArray(t);
    mxDestroyArray(left_dist);
    mxDestroyArray(right_dist);
    mxDestroyArray(left_t);
    mxDestroyArray(left_score);
    mxDestroyArray(right_t);
    mxDestroyArray(right_score);
    mxDestroyArray(new_num);
    mxDestroyArray(count);
    mxDestroyArray(k);
    mxDestroyArray(min_dist);
    mxDestroyArray(scores);
    mxDestroyArray(times);
    mclSetCurrentLocalFunctionTable(save_local_function_table_);
    return times2;
    /*
     * 
     * 
     * 
     */
}
