function resample_audio_clips(clip_dir, new_fs, out_dir)
    files = dir(clip_dir);    
    
    count = 1;
    for i = 1:length(files)
        fn = files(i).name;
        if (length(fn) > 3 & fn(end-3:end) == '.wav')
            try
                [data, fs] = wavread([clip_dir, '/', fn]);
                if (fs ~= new_fs)
                    data2 = resample(data, new_fs, fs);
                    wavwrite(data2, new_fs, 16, [out_dir, '/', fn]);
                else
                    disp('already same fs')
                end
            catch
                %disp(lasterr)
                disp(['error: could not read ', fn]);
            end
        end
    end